
#!/bin/bash
WORKDIR=~/build/kodi
echo 
echo
echo Lade und erstelle EPG...




testfile="$WORKDIR/epg.xml.gz"
echo
echo
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."


wget -N http://rytecepg.ipservers.eu/epg_data/rytecDE_Basic.xz > /dev/null 2>&1
wget -N http://rytecepg.ipservers.eu/epg_data/rytecDE_Common.xz > /dev/null 2>&1
wget -N http://rytecepg.ipservers.eu/epg_data/rytecDE_SportMovies.xz > /dev/null 2>&1 
wget -N http://rytecepg.ipservers.eu/epg_data/rytecAT_Basic.xz > /dev/null 2>&1
wget -N http://rytecepg.ipservers.eu/epg_data/rytecCH_Basic.xz > /dev/null 2>&1
echo
echo Entpacke EPG Daten
echo
echo 
echo 7zip muss instaliert  sein
sleep 2

7z e rytecDE_Basic.xz -aoa > /dev/null 2>&1
7z e rytecDE_Common.xz -aoa > /dev/null 2>&1
7z e rytecDE_SportMovies.xz -aoa > /dev/null 2>&1 
7z e rytecCH_Basic.xz -aoa > /dev/null 2>&1
7z e rytecAT_Basic.xz -aoa > /dev/null 2>&1

mv rytecDE_Basic rytecDE_Basic.xml
mv rytecDE_Common rytecDE_Common.xml
mv rytecDE_SportMovies rytecDE_SportMovies.xml
mv rytecCH_Basic rytecCH_Basic.xml
mv rytecAT_Basic rytecAT_Basic.xml


echo Zusammenführen der XML Datein 
echo
echo
echo gwenhywfar muss installiert sein & sleep  2
echo
xmlmerge rytecDE_Basic.xml rytecDE_Common.xml rytecDE_SportMovies.xml -o epg.xml 
7z a "epg.xml.gz" "epg.xml" -scs1209 > /dev/null 2>&1

testfile="$WORKDIR/epg.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

testfile="$WORKDIR/rytecDE_Basic.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

testfile="$WORKDIR/rytecDE_Common.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

testfile="$WORKDIR/rytecDE_SportMovies.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

testfile="$WORKDIR/rytecCH_Basic.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

testfile="$WORKDIR/rytecAT_Basic.xml"
[[ -f "$testfile" ]] &&  rm $testfile  ||  echo "${testfile##*/} ist nicht vorhanden."

